USB_GADGET_PROBE_DRI(9)

NAME
usb_gadget_probe_driver - probe a gadget driver

SYNOPSIS

int usb_gadget_probe_driver(struct usb_gadget_driver * driver);

ARGUMENTS

driver
    the driver being registered

CONTEXT

can sleep

DESCRIPTION

Call this in your gadget driver's module initialization function, to tell the underlying usb controller driver about your driver. The bind() function will be called to bind it to a gadget before this registration call returns. It's expected that the bind() function will be in init sections.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT